/*******************************************************************************
* File Name: cyfittergnu.inc
* 
* PSoC Creator  4.4
*
* Description:
* 
* This file is automatically generated by PSoC Creator.
*
********************************************************************************
* Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu_trm.inc"

/* FAN */
.set FAN__0__DR, CYREG_GPIO_PRT0_DR
.set FAN__0__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set FAN__0__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set FAN__0__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set FAN__0__HSIOM, CYREG_HSIOM_PORT_SEL0
.set FAN__0__HSIOM_MASK, 0xF0000000
.set FAN__0__HSIOM_SHIFT, 28
.set FAN__0__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set FAN__0__INTR, CYREG_GPIO_PRT0_INTR
.set FAN__0__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set FAN__0__INTSTAT, CYREG_GPIO_PRT0_INTR
.set FAN__0__MASK, 0x80
.set FAN__0__PC, CYREG_GPIO_PRT0_PC
.set FAN__0__PC2, CYREG_GPIO_PRT0_PC2
.set FAN__0__PORT, 0
.set FAN__0__PS, CYREG_GPIO_PRT0_PS
.set FAN__0__SHIFT, 7
.set FAN__DR, CYREG_GPIO_PRT0_DR
.set FAN__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set FAN__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set FAN__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set FAN__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set FAN__INTR, CYREG_GPIO_PRT0_INTR
.set FAN__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set FAN__INTSTAT, CYREG_GPIO_PRT0_INTR
.set FAN__MASK, 0x80
.set FAN__PC, CYREG_GPIO_PRT0_PC
.set FAN__PC2, CYREG_GPIO_PRT0_PC2
.set FAN__PORT, 0
.set FAN__PS, CYREG_GPIO_PRT0_PS
.set FAN__SHIFT, 7

/* LCD */
.set LCD_LCDPort__0__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__0__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__0__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__0__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__0__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__0__HSIOM_MASK, 0x0000000F
.set LCD_LCDPort__0__HSIOM_SHIFT, 0
.set LCD_LCDPort__0__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__0__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__0__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__0__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__0__MASK, 0x01
.set LCD_LCDPort__0__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__0__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__0__PORT, 0
.set LCD_LCDPort__0__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__0__SHIFT, 0
.set LCD_LCDPort__1__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__1__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__1__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__1__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__1__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__1__HSIOM_MASK, 0x000000F0
.set LCD_LCDPort__1__HSIOM_SHIFT, 4
.set LCD_LCDPort__1__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__1__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__1__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__1__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__1__MASK, 0x02
.set LCD_LCDPort__1__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__1__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__1__PORT, 0
.set LCD_LCDPort__1__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__1__SHIFT, 1
.set LCD_LCDPort__2__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__2__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__2__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__2__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__2__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__2__HSIOM_MASK, 0x00000F00
.set LCD_LCDPort__2__HSIOM_SHIFT, 8
.set LCD_LCDPort__2__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__2__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__2__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__2__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__2__MASK, 0x04
.set LCD_LCDPort__2__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__2__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__2__PORT, 0
.set LCD_LCDPort__2__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__2__SHIFT, 2
.set LCD_LCDPort__3__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__3__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__3__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__3__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__3__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__3__HSIOM_MASK, 0x0000F000
.set LCD_LCDPort__3__HSIOM_SHIFT, 12
.set LCD_LCDPort__3__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__3__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__3__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__3__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__3__MASK, 0x08
.set LCD_LCDPort__3__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__3__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__3__PORT, 0
.set LCD_LCDPort__3__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__3__SHIFT, 3
.set LCD_LCDPort__4__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__4__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__4__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__4__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__4__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__4__HSIOM_MASK, 0x000F0000
.set LCD_LCDPort__4__HSIOM_SHIFT, 16
.set LCD_LCDPort__4__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__4__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__4__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__4__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__4__MASK, 0x10
.set LCD_LCDPort__4__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__4__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__4__PORT, 0
.set LCD_LCDPort__4__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__4__SHIFT, 4
.set LCD_LCDPort__5__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__5__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__5__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__5__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__5__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__5__HSIOM_MASK, 0x00F00000
.set LCD_LCDPort__5__HSIOM_SHIFT, 20
.set LCD_LCDPort__5__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__5__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__5__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__5__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__5__MASK, 0x20
.set LCD_LCDPort__5__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__5__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__5__PORT, 0
.set LCD_LCDPort__5__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__5__SHIFT, 5
.set LCD_LCDPort__6__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__6__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__6__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__6__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__6__HSIOM, CYREG_HSIOM_PORT_SEL0
.set LCD_LCDPort__6__HSIOM_MASK, 0x0F000000
.set LCD_LCDPort__6__HSIOM_SHIFT, 24
.set LCD_LCDPort__6__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__6__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__6__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__6__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__6__MASK, 0x40
.set LCD_LCDPort__6__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__6__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__6__PORT, 0
.set LCD_LCDPort__6__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__6__SHIFT, 6
.set LCD_LCDPort__DR, CYREG_GPIO_PRT0_DR
.set LCD_LCDPort__DR_CLR, CYREG_GPIO_PRT0_DR_CLR
.set LCD_LCDPort__DR_INV, CYREG_GPIO_PRT0_DR_INV
.set LCD_LCDPort__DR_SET, CYREG_GPIO_PRT0_DR_SET
.set LCD_LCDPort__INTCFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__INTR, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__INTR_CFG, CYREG_GPIO_PRT0_INTR_CFG
.set LCD_LCDPort__INTSTAT, CYREG_GPIO_PRT0_INTR
.set LCD_LCDPort__MASK, 0x7F
.set LCD_LCDPort__PC, CYREG_GPIO_PRT0_PC
.set LCD_LCDPort__PC2, CYREG_GPIO_PRT0_PC2
.set LCD_LCDPort__PORT, 0
.set LCD_LCDPort__PS, CYREG_GPIO_PRT0_PS
.set LCD_LCDPort__SHIFT, 0

/* SIC_1 */
.set SIC_1__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_1__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_1__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_1__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_1__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_1__0__HSIOM_MASK, 0x0000000F
.set SIC_1__0__HSIOM_SHIFT, 0
.set SIC_1__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_1__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_1__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_1__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_1__0__MASK, 0x01
.set SIC_1__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_1__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_1__0__PORT, 2
.set SIC_1__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_1__0__SHIFT, 0
.set SIC_1__DR, CYREG_GPIO_PRT2_DR
.set SIC_1__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_1__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_1__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_1__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_1__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_1__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_1__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_1__MASK, 0x01
.set SIC_1__PC, CYREG_GPIO_PRT2_PC
.set SIC_1__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_1__PORT, 2
.set SIC_1__PS, CYREG_GPIO_PRT2_PS
.set SIC_1__SHIFT, 0

/* SIC_2 */
.set SIC_2__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_2__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_2__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_2__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_2__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_2__0__HSIOM_MASK, 0x000000F0
.set SIC_2__0__HSIOM_SHIFT, 4
.set SIC_2__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_2__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_2__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_2__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_2__0__MASK, 0x02
.set SIC_2__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_2__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_2__0__PORT, 2
.set SIC_2__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_2__0__SHIFT, 1
.set SIC_2__DR, CYREG_GPIO_PRT2_DR
.set SIC_2__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_2__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_2__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_2__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_2__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_2__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_2__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_2__MASK, 0x02
.set SIC_2__PC, CYREG_GPIO_PRT2_PC
.set SIC_2__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_2__PORT, 2
.set SIC_2__PS, CYREG_GPIO_PRT2_PS
.set SIC_2__SHIFT, 1

/* SIC_3 */
.set SIC_3__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_3__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_3__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_3__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_3__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_3__0__HSIOM_MASK, 0x00000F00
.set SIC_3__0__HSIOM_SHIFT, 8
.set SIC_3__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_3__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_3__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_3__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_3__0__MASK, 0x04
.set SIC_3__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_3__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_3__0__PORT, 2
.set SIC_3__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_3__0__SHIFT, 2
.set SIC_3__DR, CYREG_GPIO_PRT2_DR
.set SIC_3__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_3__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_3__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_3__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_3__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_3__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_3__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_3__MASK, 0x04
.set SIC_3__PC, CYREG_GPIO_PRT2_PC
.set SIC_3__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_3__PORT, 2
.set SIC_3__PS, CYREG_GPIO_PRT2_PS
.set SIC_3__SHIFT, 2

/* SIC_4 */
.set SIC_4__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_4__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_4__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_4__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_4__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_4__0__HSIOM_MASK, 0x0000F000
.set SIC_4__0__HSIOM_SHIFT, 12
.set SIC_4__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_4__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_4__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_4__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_4__0__MASK, 0x08
.set SIC_4__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_4__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_4__0__PORT, 2
.set SIC_4__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_4__0__SHIFT, 3
.set SIC_4__DR, CYREG_GPIO_PRT2_DR
.set SIC_4__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_4__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_4__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_4__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_4__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_4__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_4__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_4__MASK, 0x08
.set SIC_4__PC, CYREG_GPIO_PRT2_PC
.set SIC_4__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_4__PORT, 2
.set SIC_4__PS, CYREG_GPIO_PRT2_PS
.set SIC_4__SHIFT, 3

/* SIC_5 */
.set SIC_5__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_5__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_5__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_5__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_5__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_5__0__HSIOM_MASK, 0x000F0000
.set SIC_5__0__HSIOM_SHIFT, 16
.set SIC_5__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_5__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_5__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_5__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_5__0__MASK, 0x10
.set SIC_5__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_5__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_5__0__PORT, 2
.set SIC_5__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_5__0__SHIFT, 4
.set SIC_5__DR, CYREG_GPIO_PRT2_DR
.set SIC_5__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_5__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_5__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_5__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_5__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_5__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_5__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_5__MASK, 0x10
.set SIC_5__PC, CYREG_GPIO_PRT2_PC
.set SIC_5__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_5__PORT, 2
.set SIC_5__PS, CYREG_GPIO_PRT2_PS
.set SIC_5__SHIFT, 4

/* SIC_6 */
.set SIC_6__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_6__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_6__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_6__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_6__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_6__0__HSIOM_MASK, 0x00F00000
.set SIC_6__0__HSIOM_SHIFT, 20
.set SIC_6__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_6__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_6__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_6__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_6__0__MASK, 0x20
.set SIC_6__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_6__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_6__0__PORT, 2
.set SIC_6__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_6__0__SHIFT, 5
.set SIC_6__DR, CYREG_GPIO_PRT2_DR
.set SIC_6__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_6__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_6__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_6__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_6__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_6__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_6__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_6__MASK, 0x20
.set SIC_6__PC, CYREG_GPIO_PRT2_PC
.set SIC_6__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_6__PORT, 2
.set SIC_6__PS, CYREG_GPIO_PRT2_PS
.set SIC_6__SHIFT, 5

/* SIC_7 */
.set SIC_7__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_7__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_7__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_7__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_7__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_7__0__HSIOM_MASK, 0x0F000000
.set SIC_7__0__HSIOM_SHIFT, 24
.set SIC_7__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_7__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_7__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_7__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_7__0__MASK, 0x40
.set SIC_7__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_7__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_7__0__PORT, 2
.set SIC_7__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_7__0__SHIFT, 6
.set SIC_7__DR, CYREG_GPIO_PRT2_DR
.set SIC_7__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_7__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_7__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_7__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_7__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_7__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_7__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_7__MASK, 0x40
.set SIC_7__PC, CYREG_GPIO_PRT2_PC
.set SIC_7__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_7__PORT, 2
.set SIC_7__PS, CYREG_GPIO_PRT2_PS
.set SIC_7__SHIFT, 6

/* SIC_8 */
.set SIC_8__0__DR, CYREG_GPIO_PRT2_DR
.set SIC_8__0__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_8__0__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_8__0__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_8__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set SIC_8__0__HSIOM_MASK, 0xF0000000
.set SIC_8__0__HSIOM_SHIFT, 28
.set SIC_8__0__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_8__0__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_8__0__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_8__0__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_8__0__MASK, 0x80
.set SIC_8__0__PC, CYREG_GPIO_PRT2_PC
.set SIC_8__0__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_8__0__PORT, 2
.set SIC_8__0__PS, CYREG_GPIO_PRT2_PS
.set SIC_8__0__SHIFT, 7
.set SIC_8__DR, CYREG_GPIO_PRT2_DR
.set SIC_8__DR_CLR, CYREG_GPIO_PRT2_DR_CLR
.set SIC_8__DR_INV, CYREG_GPIO_PRT2_DR_INV
.set SIC_8__DR_SET, CYREG_GPIO_PRT2_DR_SET
.set SIC_8__INTCFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_8__INTR, CYREG_GPIO_PRT2_INTR
.set SIC_8__INTR_CFG, CYREG_GPIO_PRT2_INTR_CFG
.set SIC_8__INTSTAT, CYREG_GPIO_PRT2_INTR
.set SIC_8__MASK, 0x80
.set SIC_8__PC, CYREG_GPIO_PRT2_PC
.set SIC_8__PC2, CYREG_GPIO_PRT2_PC2
.set SIC_8__PORT, 2
.set SIC_8__PS, CYREG_GPIO_PRT2_PS
.set SIC_8__SHIFT, 7

/* SOL_1 */
.set SOL_1__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_1__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_1__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_1__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_1__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_1__0__HSIOM_MASK, 0xF0000000
.set SOL_1__0__HSIOM_SHIFT, 28
.set SOL_1__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_1__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_1__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_1__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_1__0__MASK, 0x80
.set SOL_1__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_1__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_1__0__PORT, 1
.set SOL_1__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_1__0__SHIFT, 7
.set SOL_1__DR, CYREG_GPIO_PRT1_DR
.set SOL_1__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_1__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_1__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_1__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_1__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_1__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_1__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_1__MASK, 0x80
.set SOL_1__PC, CYREG_GPIO_PRT1_PC
.set SOL_1__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_1__PORT, 1
.set SOL_1__PS, CYREG_GPIO_PRT1_PS
.set SOL_1__SHIFT, 7

/* SOL_2 */
.set SOL_2__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_2__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_2__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_2__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_2__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_2__0__HSIOM_MASK, 0x0F000000
.set SOL_2__0__HSIOM_SHIFT, 24
.set SOL_2__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_2__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_2__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_2__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_2__0__MASK, 0x40
.set SOL_2__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_2__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_2__0__PORT, 1
.set SOL_2__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_2__0__SHIFT, 6
.set SOL_2__DR, CYREG_GPIO_PRT1_DR
.set SOL_2__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_2__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_2__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_2__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_2__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_2__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_2__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_2__MASK, 0x40
.set SOL_2__PC, CYREG_GPIO_PRT1_PC
.set SOL_2__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_2__PORT, 1
.set SOL_2__PS, CYREG_GPIO_PRT1_PS
.set SOL_2__SHIFT, 6

/* SOL_3 */
.set SOL_3__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_3__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_3__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_3__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_3__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_3__0__HSIOM_MASK, 0x00F00000
.set SOL_3__0__HSIOM_SHIFT, 20
.set SOL_3__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_3__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_3__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_3__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_3__0__MASK, 0x20
.set SOL_3__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_3__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_3__0__PORT, 1
.set SOL_3__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_3__0__SHIFT, 5
.set SOL_3__DR, CYREG_GPIO_PRT1_DR
.set SOL_3__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_3__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_3__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_3__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_3__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_3__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_3__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_3__MASK, 0x20
.set SOL_3__PC, CYREG_GPIO_PRT1_PC
.set SOL_3__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_3__PORT, 1
.set SOL_3__PS, CYREG_GPIO_PRT1_PS
.set SOL_3__SHIFT, 5

/* SOL_4 */
.set SOL_4__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_4__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_4__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_4__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_4__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_4__0__HSIOM_MASK, 0x000F0000
.set SOL_4__0__HSIOM_SHIFT, 16
.set SOL_4__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_4__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_4__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_4__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_4__0__MASK, 0x10
.set SOL_4__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_4__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_4__0__PORT, 1
.set SOL_4__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_4__0__SHIFT, 4
.set SOL_4__DR, CYREG_GPIO_PRT1_DR
.set SOL_4__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_4__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_4__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_4__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_4__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_4__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_4__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_4__MASK, 0x10
.set SOL_4__PC, CYREG_GPIO_PRT1_PC
.set SOL_4__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_4__PORT, 1
.set SOL_4__PS, CYREG_GPIO_PRT1_PS
.set SOL_4__SHIFT, 4

/* SOL_5 */
.set SOL_5__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_5__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_5__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_5__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_5__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_5__0__HSIOM_MASK, 0x0000F000
.set SOL_5__0__HSIOM_SHIFT, 12
.set SOL_5__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_5__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_5__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_5__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_5__0__MASK, 0x08
.set SOL_5__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_5__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_5__0__PORT, 1
.set SOL_5__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_5__0__SHIFT, 3
.set SOL_5__DR, CYREG_GPIO_PRT1_DR
.set SOL_5__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_5__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_5__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_5__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_5__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_5__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_5__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_5__MASK, 0x08
.set SOL_5__PC, CYREG_GPIO_PRT1_PC
.set SOL_5__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_5__PORT, 1
.set SOL_5__PS, CYREG_GPIO_PRT1_PS
.set SOL_5__SHIFT, 3

/* SOL_6 */
.set SOL_6__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_6__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_6__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_6__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_6__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_6__0__HSIOM_MASK, 0x00000F00
.set SOL_6__0__HSIOM_SHIFT, 8
.set SOL_6__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_6__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_6__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_6__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_6__0__MASK, 0x04
.set SOL_6__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_6__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_6__0__PORT, 1
.set SOL_6__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_6__0__SHIFT, 2
.set SOL_6__DR, CYREG_GPIO_PRT1_DR
.set SOL_6__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_6__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_6__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_6__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_6__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_6__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_6__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_6__MASK, 0x04
.set SOL_6__PC, CYREG_GPIO_PRT1_PC
.set SOL_6__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_6__PORT, 1
.set SOL_6__PS, CYREG_GPIO_PRT1_PS
.set SOL_6__SHIFT, 2

/* SOL_7 */
.set SOL_7__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_7__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_7__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_7__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_7__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_7__0__HSIOM_MASK, 0x000000F0
.set SOL_7__0__HSIOM_SHIFT, 4
.set SOL_7__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_7__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_7__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_7__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_7__0__MASK, 0x02
.set SOL_7__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_7__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_7__0__PORT, 1
.set SOL_7__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_7__0__SHIFT, 1
.set SOL_7__DR, CYREG_GPIO_PRT1_DR
.set SOL_7__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_7__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_7__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_7__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_7__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_7__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_7__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_7__MASK, 0x02
.set SOL_7__PC, CYREG_GPIO_PRT1_PC
.set SOL_7__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_7__PORT, 1
.set SOL_7__PS, CYREG_GPIO_PRT1_PS
.set SOL_7__SHIFT, 1

/* SOL_8 */
.set SOL_8__0__DR, CYREG_GPIO_PRT1_DR
.set SOL_8__0__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_8__0__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_8__0__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_8__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set SOL_8__0__HSIOM_MASK, 0x0000000F
.set SOL_8__0__HSIOM_SHIFT, 0
.set SOL_8__0__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_8__0__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_8__0__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_8__0__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_8__0__MASK, 0x01
.set SOL_8__0__PC, CYREG_GPIO_PRT1_PC
.set SOL_8__0__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_8__0__PORT, 1
.set SOL_8__0__PS, CYREG_GPIO_PRT1_PS
.set SOL_8__0__SHIFT, 0
.set SOL_8__DR, CYREG_GPIO_PRT1_DR
.set SOL_8__DR_CLR, CYREG_GPIO_PRT1_DR_CLR
.set SOL_8__DR_INV, CYREG_GPIO_PRT1_DR_INV
.set SOL_8__DR_SET, CYREG_GPIO_PRT1_DR_SET
.set SOL_8__INTCFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_8__INTR, CYREG_GPIO_PRT1_INTR
.set SOL_8__INTR_CFG, CYREG_GPIO_PRT1_INTR_CFG
.set SOL_8__INTSTAT, CYREG_GPIO_PRT1_INTR
.set SOL_8__MASK, 0x01
.set SOL_8__PC, CYREG_GPIO_PRT1_PC
.set SOL_8__PC2, CYREG_GPIO_PRT1_PC2
.set SOL_8__PORT, 1
.set SOL_8__PS, CYREG_GPIO_PRT1_PS
.set SOL_8__SHIFT, 0

/* Router */
.set Router__0__DR, CYREG_GPIO_PRT4_DR
.set Router__0__DR_CLR, CYREG_GPIO_PRT4_DR_CLR
.set Router__0__DR_INV, CYREG_GPIO_PRT4_DR_INV
.set Router__0__DR_SET, CYREG_GPIO_PRT4_DR_SET
.set Router__0__HSIOM, CYREG_HSIOM_PORT_SEL4
.set Router__0__HSIOM_MASK, 0x00000F00
.set Router__0__HSIOM_SHIFT, 8
.set Router__0__INTCFG, CYREG_GPIO_PRT4_INTR_CFG
.set Router__0__INTR, CYREG_GPIO_PRT4_INTR
.set Router__0__INTR_CFG, CYREG_GPIO_PRT4_INTR_CFG
.set Router__0__INTSTAT, CYREG_GPIO_PRT4_INTR
.set Router__0__MASK, 0x04
.set Router__0__PC, CYREG_GPIO_PRT4_PC
.set Router__0__PC2, CYREG_GPIO_PRT4_PC2
.set Router__0__PORT, 4
.set Router__0__PS, CYREG_GPIO_PRT4_PS
.set Router__0__SHIFT, 2
.set Router__DR, CYREG_GPIO_PRT4_DR
.set Router__DR_CLR, CYREG_GPIO_PRT4_DR_CLR
.set Router__DR_INV, CYREG_GPIO_PRT4_DR_INV
.set Router__DR_SET, CYREG_GPIO_PRT4_DR_SET
.set Router__INTCFG, CYREG_GPIO_PRT4_INTR_CFG
.set Router__INTR, CYREG_GPIO_PRT4_INTR
.set Router__INTR_CFG, CYREG_GPIO_PRT4_INTR_CFG
.set Router__INTSTAT, CYREG_GPIO_PRT4_INTR
.set Router__MASK, 0x04
.set Router__PC, CYREG_GPIO_PRT4_PC
.set Router__PC2, CYREG_GPIO_PRT4_PC2
.set Router__PORT, 4
.set Router__PS, CYREG_GPIO_PRT4_PS
.set Router__SHIFT, 2

/* Status */
.set Status__0__DR, CYREG_GPIO_PRT3_DR
.set Status__0__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set Status__0__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set Status__0__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set Status__0__HSIOM, CYREG_HSIOM_PORT_SEL3
.set Status__0__HSIOM_MASK, 0x000F0000
.set Status__0__HSIOM_SHIFT, 16
.set Status__0__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set Status__0__INTR, CYREG_GPIO_PRT3_INTR
.set Status__0__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set Status__0__INTSTAT, CYREG_GPIO_PRT3_INTR
.set Status__0__MASK, 0x10
.set Status__0__PC, CYREG_GPIO_PRT3_PC
.set Status__0__PC2, CYREG_GPIO_PRT3_PC2
.set Status__0__PORT, 3
.set Status__0__PS, CYREG_GPIO_PRT3_PS
.set Status__0__SHIFT, 4
.set Status__DR, CYREG_GPIO_PRT3_DR
.set Status__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set Status__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set Status__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set Status__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set Status__INTR, CYREG_GPIO_PRT3_INTR
.set Status__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set Status__INTSTAT, CYREG_GPIO_PRT3_INTR
.set Status__MASK, 0x10
.set Status__PC, CYREG_GPIO_PRT3_PC
.set Status__PC2, CYREG_GPIO_PRT3_PC2
.set Status__PORT, 3
.set Status__PS, CYREG_GPIO_PRT3_PS
.set Status__SHIFT, 4

/* HW_Select1 */
.set HW_Select1__0__DR, CYREG_GPIO_PRT3_DR
.set HW_Select1__0__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set HW_Select1__0__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set HW_Select1__0__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set HW_Select1__0__HSIOM, CYREG_HSIOM_PORT_SEL3
.set HW_Select1__0__HSIOM_MASK, 0x00F00000
.set HW_Select1__0__HSIOM_SHIFT, 20
.set HW_Select1__0__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select1__0__INTR, CYREG_GPIO_PRT3_INTR
.set HW_Select1__0__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select1__0__INTSTAT, CYREG_GPIO_PRT3_INTR
.set HW_Select1__0__MASK, 0x20
.set HW_Select1__0__PC, CYREG_GPIO_PRT3_PC
.set HW_Select1__0__PC2, CYREG_GPIO_PRT3_PC2
.set HW_Select1__0__PORT, 3
.set HW_Select1__0__PS, CYREG_GPIO_PRT3_PS
.set HW_Select1__0__SHIFT, 5
.set HW_Select1__DR, CYREG_GPIO_PRT3_DR
.set HW_Select1__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set HW_Select1__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set HW_Select1__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set HW_Select1__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select1__INTR, CYREG_GPIO_PRT3_INTR
.set HW_Select1__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select1__INTSTAT, CYREG_GPIO_PRT3_INTR
.set HW_Select1__MASK, 0x20
.set HW_Select1__PC, CYREG_GPIO_PRT3_PC
.set HW_Select1__PC2, CYREG_GPIO_PRT3_PC2
.set HW_Select1__PORT, 3
.set HW_Select1__PS, CYREG_GPIO_PRT3_PS
.set HW_Select1__SHIFT, 5

/* HW_Select2 */
.set HW_Select2__0__DR, CYREG_GPIO_PRT3_DR
.set HW_Select2__0__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set HW_Select2__0__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set HW_Select2__0__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set HW_Select2__0__HSIOM, CYREG_HSIOM_PORT_SEL3
.set HW_Select2__0__HSIOM_MASK, 0x0F000000
.set HW_Select2__0__HSIOM_SHIFT, 24
.set HW_Select2__0__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select2__0__INTR, CYREG_GPIO_PRT3_INTR
.set HW_Select2__0__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select2__0__INTSTAT, CYREG_GPIO_PRT3_INTR
.set HW_Select2__0__MASK, 0x40
.set HW_Select2__0__PC, CYREG_GPIO_PRT3_PC
.set HW_Select2__0__PC2, CYREG_GPIO_PRT3_PC2
.set HW_Select2__0__PORT, 3
.set HW_Select2__0__PS, CYREG_GPIO_PRT3_PS
.set HW_Select2__0__SHIFT, 6
.set HW_Select2__DR, CYREG_GPIO_PRT3_DR
.set HW_Select2__DR_CLR, CYREG_GPIO_PRT3_DR_CLR
.set HW_Select2__DR_INV, CYREG_GPIO_PRT3_DR_INV
.set HW_Select2__DR_SET, CYREG_GPIO_PRT3_DR_SET
.set HW_Select2__INTCFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select2__INTR, CYREG_GPIO_PRT3_INTR
.set HW_Select2__INTR_CFG, CYREG_GPIO_PRT3_INTR_CFG
.set HW_Select2__INTSTAT, CYREG_GPIO_PRT3_INTR
.set HW_Select2__MASK, 0x40
.set HW_Select2__PC, CYREG_GPIO_PRT3_PC
.set HW_Select2__PC2, CYREG_GPIO_PRT3_PC2
.set HW_Select2__PORT, 3
.set HW_Select2__PS, CYREG_GPIO_PRT3_PS
.set HW_Select2__SHIFT, 6

/* Miscellaneous */
.set CYDEV_BCLK__HFCLK__HZ, 24000000
.set CYDEV_BCLK__HFCLK__KHZ, 24000
.set CYDEV_BCLK__HFCLK__MHZ, 24
.set CYDEV_BCLK__SYSCLK__HZ, 24000000
.set CYDEV_BCLK__SYSCLK__KHZ, 24000
.set CYDEV_BCLK__SYSCLK__MHZ, 24
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PSOC4A, 26
.set CYDEV_CHIP_DIE_PSOC5LP, 2
.set CYDEV_CHIP_DIE_PSOC5TM, 3
.set CYDEV_CHIP_DIE_TMA4, 4
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_FM0P, 5
.set CYDEV_CHIP_FAMILY_FM3, 6
.set CYDEV_CHIP_FAMILY_FM4, 7
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_PSOC6, 4
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC4
.set CYDEV_CHIP_JTAG_ID, 0x251811B5
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 26
.set CYDEV_CHIP_MEMBER_4AA, 25
.set CYDEV_CHIP_MEMBER_4AB, 30
.set CYDEV_CHIP_MEMBER_4AC, 14
.set CYDEV_CHIP_MEMBER_4AD, 15
.set CYDEV_CHIP_MEMBER_4AE, 16
.set CYDEV_CHIP_MEMBER_4D, 20
.set CYDEV_CHIP_MEMBER_4E, 6
.set CYDEV_CHIP_MEMBER_4F, 27
.set CYDEV_CHIP_MEMBER_4G, 4
.set CYDEV_CHIP_MEMBER_4H, 24
.set CYDEV_CHIP_MEMBER_4I, 32
.set CYDEV_CHIP_MEMBER_4J, 21
.set CYDEV_CHIP_MEMBER_4K, 22
.set CYDEV_CHIP_MEMBER_4L, 31
.set CYDEV_CHIP_MEMBER_4M, 29
.set CYDEV_CHIP_MEMBER_4N, 11
.set CYDEV_CHIP_MEMBER_4O, 8
.set CYDEV_CHIP_MEMBER_4P, 28
.set CYDEV_CHIP_MEMBER_4Q, 17
.set CYDEV_CHIP_MEMBER_4R, 9
.set CYDEV_CHIP_MEMBER_4S, 12
.set CYDEV_CHIP_MEMBER_4T, 10
.set CYDEV_CHIP_MEMBER_4U, 5
.set CYDEV_CHIP_MEMBER_4V, 23
.set CYDEV_CHIP_MEMBER_4W, 13
.set CYDEV_CHIP_MEMBER_4X, 7
.set CYDEV_CHIP_MEMBER_4Y, 18
.set CYDEV_CHIP_MEMBER_4Z, 19
.set CYDEV_CHIP_MEMBER_5A, 3
.set CYDEV_CHIP_MEMBER_5B, 2
.set CYDEV_CHIP_MEMBER_6A, 33
.set CYDEV_CHIP_MEMBER_FM3, 37
.set CYDEV_CHIP_MEMBER_FM4, 38
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1, 34
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2, 35
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3, 36
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_4V
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REV_PSOC5TM_ES0, 0
.set CYDEV_CHIP_REV_PSOC5TM_ES1, 1
.set CYDEV_CHIP_REV_PSOC5TM_PRODUCTION, 1
.set CYDEV_CHIP_REV_TMA4_ES, 17
.set CYDEV_CHIP_REV_TMA4_ES2, 33
.set CYDEV_CHIP_REV_TMA4_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4AA_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AB_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AC_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AD_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AE_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD, 0
.set CYDEV_CHIP_REVISION_4E_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256K, 0
.set CYDEV_CHIP_REVISION_4G_ES, 17
.set CYDEV_CHIP_REVISION_4G_ES2, 33
.set CYDEV_CHIP_REVISION_4G_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4H_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4I_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4J_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4K_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4L_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4M_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4N_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4O_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4P_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Q_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4R_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4S_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4T_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4U_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4V_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4W_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4X_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Y_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Z_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_6A_ES, 17
.set CYDEV_CHIP_REVISION_6A_NO_UDB, 33
.set CYDEV_CHIP_REVISION_6A_PRODUCTION, 33
.set CYDEV_CHIP_REVISION_FM3_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_FM4_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_4V_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_READ_ACCELERATOR, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_Disallowed
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_PROTECT_KILL, 4
.set CYDEV_DEBUG_PROTECT_OPEN, 1
.set CYDEV_DEBUG_PROTECT, CYDEV_DEBUG_PROTECT_OPEN
.set CYDEV_DEBUG_PROTECT_PROTECTED, 2
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DFT_SELECT_CLK0, 8
.set CYDEV_DFT_SELECT_CLK1, 9
.set CYDEV_DMA_CHANNELS_AVAILABLE, 8
.set CYDEV_HEAP_SIZE, 0x80
.set CYDEV_IMO_TRIMMED_BY_USB, 0
.set CYDEV_IMO_TRIMMED_BY_WCO, 0
.set CYDEV_INTR_NUMBER_DMA, 14
.set CYDEV_IS_EXPORTING_CODE, 0
.set CYDEV_IS_IMPORTING_CODE, 0
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LAUNCHER, 5
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER, 4
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_STACK_SIZE, 0x0800
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 1
.set CYDEV_VDDA_MV, 3300
.set CYDEV_VDDD_MV, 3300
.set CYDEV_WDT_GENERATE_ISR, 1
.set CYIPBLOCK_m0s8cpussv3_VERSION, 1
.set CYIPBLOCK_m0s8crypto_VERSION, 2
.set CYIPBLOCK_m0s8csdv2_VERSION, 2
.set CYIPBLOCK_m0s8exco_VERSION, 1
.set CYIPBLOCK_m0s8ioss_VERSION, 1
.set CYIPBLOCK_m0s8lcd_VERSION, 2
.set CYIPBLOCK_m0s8lpcomp_VERSION, 2
.set CYIPBLOCK_m0s8pass4a_VERSION, 1
.set CYIPBLOCK_m0s8peri_VERSION, 1
.set CYIPBLOCK_m0s8scb_VERSION, 2
.set CYIPBLOCK_m0s8tcpwm_VERSION, 2
.set CYIPBLOCK_m0s8wco_VERSION, 1
.set CYIPBLOCK_s8srsslt_VERSION, 1
.set DMA_CHANNELS_USED__MASK, 0
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
